Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.message
Class StringMapImpl

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,java.lang.Object>
              org.apache.cxf.message.StringMapImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>, StringMap

Direct Known Subclasses:
  ExchangeImpl, MessageImpl

    public class StringMapImpl

extends java.util.HashMap<java.lang.String,java.lang.Object>
implements StringMap

A variation on HashMap which allows lookup by Class, via the string returned by `Class.getName()`.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`StringMapImpl()`

Method Summary
`
`<T> T`
` | `get(java.lang.Class<T> key)` Convenience method for storing/retrieving typed objects from the map.
`
`<T> void`
` | `put(java.lang.Class<T> key, T value)` Convenience method for storing/retrieving typed objects from the map.

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### StringMapImpl

    public StringMapImpl()

Method Detail

### get

    public <T> T get(java.lang.Class<T> key)

  Description copied from interface: `StringMap`
  Convenience method for storing/retrieving typed objects from the map. equivalent to: (T)get(key.getName());

  Specified by:
    `get` in interface `StringMap`
  Parameters:
    `key` - the key
  Returns:
    the value

### put

    public <T> void put(java.lang.Class<T> key,
                        T value)

  Description copied from interface: `StringMap`
  Convenience method for storing/retrieving typed objects from the map. equivalent to: put(key.getName(), value);

  Specified by:
    `put` in interface `StringMap`
  Parameters:
    `key` - the key
    `value` - the value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF